{{set . "title" "Register"}}
{{template "header.html" .}}

<div class="container">
  <div class="row">
    <div class="col-md-6">
      <div class="row">
        <div class="col-12">
          <h1>{{msg . "form.register.title"}}</h1>
          {{msg . "form.register.description"}}
        </div>
      </div>
      <div class="row">
        <div class="col-12">
          <img class="w-75" src="{{config.Address}}/public/images/feneas-logo.png" alt="{{msg . "feneas.name.long"}}" />
        </div>
      </div>
    </div>
    <div class="col-md-6">
      <div class="row">
        <div class="col-12">
          <form class="mt-4" method="post" action="{{config.Address}}/users/sign_up">
            <div class="form-group">
              <label class="sr-only" for="username">{{msg . "form.register.username"}}</label>
              <div class="input-group mb-2">
                <div class="input-group-prepend">
                  <div class="input-group-text">
                    <i class="fa fa-user" aria-hidden="true"
                      title="{{msg . "form.register.username_help"}}"></i>
                  </div>
                </div>
                <input type="text" pattern="[a-z0-9]{3,}"
                  title="{{msg . "form.register.username_help"}}"
                  class="form-control" name="username" id="username"
                  placeholder="{{msg . "form.register.username"}}" required>
              </div>
            </div>
            <div class="form-group">
              <label class="sr-only" for="email">{{msg . "form.register.email"}}</label>
              <div class="input-group mb-2">
                <div class="input-group-prepend">
                  <div class="input-group-text">
                    <i class="fa fa-envelope" aria-hidden="true"
                      title="{{msg . "form.register.email_help"}}"></i>
                  </div>
                </div>
                <input type="email" class="form-control"
                  title="{{msg . "form.register.email_help"}}"
                  name="email" id="email"
                  placeholder="{{msg . "form.register.email"}}" required>
              </div>
            </div>
            <div class="form-group">
              <label class="sr-only" for="firstName">{{msg . "form.register.first_name"}}</label>
              <div class="input-group mb-2">
                <div class="input-group-prepend">
                  <div class="input-group-text text-muted"
                    title="{{msg . "form.register.first_name_help"}}">FN</div>
                </div>
                <input type="text" class="form-control"
                  title="{{msg . "form.register.first_name_help"}}"
                  name="firstName" id="firstName"
                  placeholder="{{msg . "form.register.first_name"}}" required>
              </div>
            </div>
            <div class="form-group">
              <label class="sr-only" for="lastName">{{msg . "form.register.last_name"}}</label>
              <div class="input-group mb-2">
                <div class="input-group-prepend">
                  <div class="input-group-text text-muted"
                    title="{{msg . "form.register.last_name_help"}}">LN</div>
                </div>
                <input type="text" class="form-control"
                  title="{{msg . "form.register.last_name_help"}}"
                  name="lastName" id="lastName"
                  placeholder="{{msg . "form.register.last_name"}}" required>
              </div>
            </div>
            <div class="form-group">
              <label class="sr-only" for="address">{{msg . "form.register.address"}}</label>
              <div class="input-group mb-2">
                <div class="input-group-prepend">
                  <div class="input-group-text">
                    <i title="{{msg . "form.register.address_help"}}"
                      class="fa fa-address-card" aria-hidden="true"></i>
                  </div>
                </div>
                <input type="text" class="form-control"
                  name="address" id="address"
                  title="{{msg . "form.register.address_help"}}"
                  placeholder="{{msg . "form.register.address"}}" required>
              </div>
            </div>
            <div class="form-group">
              <label class="sr-only" for="company">{{msg . "form.register.company"}}</label>
              <div class="input-group mb-2">
                <div class="input-group-prepend">
                  <div class="input-group-text">
                    <i class="fa fa-briefcase" aria-hidden="true"></i>
                  </div>
                </div>
                <input type="text" class="form-control" name="company" id="company" placeholder="{{msg . "form.register.company"}}">
              </div>
            </div>
            <div class="form-group">
              <label class="sr-only" for="gitlabUsername">{{msg . "form.register.gitlab_username"}}</label>
              <div class="input-group mb-2">
                <div class="input-group-prepend">
                  <div class="input-group-text">
                    <i class="fa fa-git" aria-hidden="true"></i>
                  </div>
                </div>
                <input type="text" class="form-control" name="gitlabUsername" id="gitlabUsername"
                  placeholder="{{msg . "form.register.gitlab_username"}}" aria-describedby="gitlabUsernameHelp">
              </div>
              <small id="gitlabUsernameHelp" class="form-text text-muted">
                {{msg . "form.register.gitlab_username_help"}}
              </small>
            </div>
            <div class="form-group">
              <label for="pubkey">{{msg . "form.register.pubkey"}}</label>
              <textarea class="form-control" name="pubkey" id="pubkey" aria-describedby="pubkeyHelp"></textarea>
              <small id="pubkeyHelp" class="form-text text-muted">
                {{msg . "form.register.pubkey_help"}}
              </small>
            </div>
            <div class="form-group">
              {{- set . "cid" captchaid}}
              <label for="captcha" class="cols control-label">{{msg . "form.register.captcha"}}</label>
              <img src="{{config.Address}}/captcha/{{.cid}}.png" title="{{msg . "form.register.captcha_image"}}">
              <input type="hidden" name="captchaID" value="{{.cid}}">
              <div class="cols">
                <div class="input-group mb-2">
                <div class="input-group-prepend">
                  <div class="input-group-text">
                    <i class="fa fa-question" aria-hidden="true"></i>
                  </div>
                </div>
                <input type="text" class="form-control" name="captchaValue" placeholder="{{msg . "form.register.captcha_hint"}}" required>
              </div>
            </div>
            <div class="form-group">
              <button type="submit" id="submit" class="btn btn-primary btn-block" aria-describedby="submitHelp">{{msg . "form.register.submit"}}</button>
              <small id="submitHelp" class="form-text">
                {{msg . "form.register.submit_help"}}
              </small>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>

{{template "footer.html" .}}
